#include "minebutton.h"

MineButton::MineButton(int row0,int col0,int bomb0,int state0,int num0){
  row=row0;
  col=col0;
  bomb=bomb0;
  state=state0;
  num=num0;
  set_inconsistent(true);
  set_focus_on_click(true);
  image=NULL;

  signal_toggled().connect
    (sigc::mem_fun(*this,&MineButton::ButtonToggled));
}

MineButton::~MineButton(){

  // delete button;
  // delete image;

}

void MineButton::ButtonToggled(){
  if(state>0){
    set_active(false);
  }
}

void MineButton::Create(){
 
}

void MineButton::SetImage(Gtk::Image *image0){
  
  if(image)
    delete image;
  image=image0;
  
  add(*image);
  image->show();
}
