#include "status.h"

MineStatus::MineStatus(){
  status= new Gtk::Statusbar();
}

MineStatus::~MineStatus(){
  delete status;
}

void MineStatus::CheckMode(char *m0,int mode){

  if(mode==0){
    *m0='\0';
  }
  else if(mode==1){
    sprintf(m0,"Beginner");
  }
  else if(mode==2){
    sprintf(m0,"Medium");
  }
  else if(mode==3){
    sprintf(m0,"Advance");
  }
  else if(mode==4){
    sprintf(m0,"Free");
  }

}

Gtk::Statusbar *MineStatus::Create(MineTable *table0){
  char MODE[255];

  table=table0;

  MineStatus::CheckMode(&MODE[0],table->mode);

  status->set_size_request(-1,30);
  sprintf(buffer,"%s  : %d x %d  bomb %d %%",
	  MODE,
	  table->nRow,table->nCol,table->pBomb);
  nowID=status->get_context_id(buffer);
  status->push(buffer,nowID);
  status->show();
  return status;
}

void MineStatus::Refresh(){
  char MODE[255];
  
  MineStatus::CheckMode(&MODE[0],table->mode);
  status->pop(nowID);
  sprintf(buffer,"%s : %d x %d  bomb %d %%",
	  MODE,table->nRow,table->nCol,table->pBomb);
  nowID=status->get_context_id(buffer);
  status->push(buffer,nowID);
  status->show();
}
