#include "timer.h"

MineTimer::MineTimer(){
  mTimer = new sigc::connection();
  timeLabel = new Gtk::Label("time: ");
  timeFlag=0;
  nSec=0;
}

MineTimer::~MineTimer(){
  delete mTimer;
  delete timeLabel;
}

bool MineTimer::TimeOut(){
  nSec++;
  sprintf(buffer,"time: %6d.%d sec",nSec/10,nSec%10);
  timeLabel->set_label(buffer);
  timeLabel->show();
  return true;
}

int MineTimer::Start(){
  int flag=0;
  if(timeFlag==0){
    *mTimer=Glib::signal_timeout().connect
      (sigc::mem_fun(*this,&MineTimer::TimeOut),100);
    timeFlag=1;
  }
  else{
    flag=1;
  }
  return flag;
}

int MineTimer::Stop(){
  int flag=0;
  if(timeFlag==1){
    mTimer->disconnect();
    timeFlag=0;
  }
  else{
    flag=1;
  }
  return flag;
}
