#include "window.h"
#include "xpm/bomb.h" 

MineWindow::MineWindow(): Gtk::Window(Gtk::WINDOW_TOPLEVEL){
  timer= new MineTimer();
  vbox= new MainVBox(this,timer);
  set_title("Schr'Mine");
  mainIcon=Gdk::Pixbuf::create_from_xpm_data(bomb_xpm);
  set_icon(mainIcon);
  set_position(Gtk::WIN_POS_CENTER);
  set_default_size(362,448);
}

MineWindow::~MineWindow(){
  delete timer;
  delete vbox;
}

bool MineWindow::DeleteEvent(GdkEventAny *event){
  ExitDialog *exitDialog;
  
  exitDialog= new ExitDialog(timer);

  return 1;
}
bool MineWindow::WindowStateEvent(GdkEventWindowState *event){
  if(event->changed_mask==4){
    unmaximize();
  }
  return 1;
}

void MineWindow::Create(){
  vbox->Create();

  show();

  signal_delete_event().connect
    (sigc::mem_fun(*this,&MineWindow::DeleteEvent));
  signal_window_state_event().connect
    (sigc::mem_fun(*this,&MineWindow::WindowStateEvent));
}
