#ifndef EXIT_H
#define EXIT_H

#include <gtkmm.h>
#include <iostream>
#include "timer.h"

class ExitDialog{
 private:
  int timeGrab;
  MineTimer *timer;
  Gtk::Dialog *dialog;
  //  Gtk::VBox *vbox;
  //  Gtk::HButtonBox *area;
  Gtk::Button *okButton;
  Gtk::Button *cancelButton;
  Gtk::VBox *vbox;
  Gtk::Label *label;
  Glib::RefPtr<Gdk::Pixbuf> exitIcon;
 public:
  ExitDialog(MineTimer *timer0);
  ~ExitDialog();
 protected:
  void OkClicked();
  void CancelClicked();
  bool SignalDelete(GdkEventAny *event);
};

#endif
