#ifndef SAVE_DIALOG_H
#define SAVE_DIALOG_H

#include<iostream>
#include<gtkmm.h>
#include"timer.h"
#include"savefile.h"
#include"table.h"

class SaveFile;

class SaveDialog : public Gtk::Dialog {
 public:
  Glib::RefPtr<Gdk::Pixbuf> saveIcon;
  Gtk::VBox *vbox;
  Gtk::Label *label;
  MineTable *table;
  MineTimer *timer;
  SaveFile *saveFile;
  int timeGrab;
  Gtk::Button *okButton;
  Gtk::Button *cancelButton;
  SaveDialog(MineTable *table0,SaveFile *saveFile0,MineTimer *timer0);
  ~SaveDialog();
 protected:
  bool SignalDelete(GdkEventAny *event);
  void OkClicked();
  void CancelClicked();
};

#endif
