#ifndef SETGRID_H
#define SETGRID_H

#include<gtkmm.h>
#include<iostream>
#include"table.h"
#include"status.h"

class MineTable;

class MineStatus;

class GridDialog{
 private:
  int tRow;
  int tCol;
  int tBomb;
  int tSize;
  Glib::RefPtr<Gdk::Pixbuf> gridIcon;
  Gtk::Dialog *dialog;
  MineTable *table;
  MineStatus *status;
  Gtk::VBox *vbox;
  Gtk::HBox *hbox;
  Gtk::Button *reset;
  Gtk::Button *close;
  Gtk::Adjustment *rowAdj;
  Gtk::Adjustment *colAdj;
  Gtk::Adjustment *bombAdj;
  Gtk::Adjustment *sizeAdj;
  Gtk::SpinButton *rowSpin;
  Gtk::SpinButton *colSpin;
  Gtk::SpinButton *bombSpin;
  Gtk::SpinButton *sizeSpin;
  Gtk::Label *hLabel1;
  Gtk::Label *hLabel2;
  Gtk::Label *hLabel3;
  Gtk::Label *hLabel4;
 public:
  GridDialog();
  ~GridDialog();
  void Create(MineTable *table0,MineStatus *status0);
  void Show();
 protected:
  void RowChange();
  void ColChange();
  void BombChange();
  void SizeChange();
  void CloseClicked();
  void ResetClicked();
  bool DeleteSignal(GdkEventAny *event);
};

#endif
