#include "image.h"
#include "number.h"
#include "mark.h"
#include "bomb.h"

MineImage::MineImage(){
  width=10;
  height=10;
  numPix[0]=Gdk::Pixbuf::create_from_xpm_data(zero_xpm);
  numPix[1]=Gdk::Pixbuf::create_from_xpm_data(one_xpm);
  numPix[2]=Gdk::Pixbuf::create_from_xpm_data(two_xpm);
  numPix[3]=Gdk::Pixbuf::create_from_xpm_data(three_xpm);
  numPix[4]=Gdk::Pixbuf::create_from_xpm_data(four_xpm);
  numPix[5]=Gdk::Pixbuf::create_from_xpm_data(five_xpm);
  numPix[6]=Gdk::Pixbuf::create_from_xpm_data(six_xpm);
  numPix[7]=Gdk::Pixbuf::create_from_xpm_data(seven_xpm);
  numPix[8]=Gdk::Pixbuf::create_from_xpm_data(eight_xpm);
  markPix[0]=Gdk::Pixbuf::create_from_xpm_data(blank_xpm);
  markPix[1]=Gdk::Pixbuf::create_from_xpm_data(blank_xpm);
  markPix[2]=Gdk::Pixbuf::create_from_xpm_data(flag_xpm);
  markPix[3]=Gdk::Pixbuf::create_from_xpm_data(question_xpm);
  markPix[4]=Gdk::Pixbuf::create_from_xpm_data(maru_xpm);
  markPix[5]=Gdk::Pixbuf::create_from_xpm_data(batu_xpm);
  bombPix=Gdk::Pixbuf::create_from_xpm_data(bomb_xpm);
}

MineImage::~MineImage(){

}

void MineImage::SetScale(int width,int height){
  int i=0;
  while(i<9){
    TnumPix[i]=numPix[i]->scale_simple
      (width,height,Gdk::INTERP_BILINEAR);
    i++;
  }
  i=0;
  while(i<6){
    TmarkPix[i]=markPix[i]->scale_simple
      (width,height,Gdk::INTERP_BILINEAR);
    i++;
  }
  TbombPix=bombPix->scale_simple(width,height,Gdk::INTERP_NEAREST);
}

Gtk::Image *MineImage::CreateNumber(int num){
  Gtk::Image *image;

  image = new Gtk::Image(TnumPix[num]);
  return image;
}

Gtk::Image *MineImage::CreateMark(int num){
  Gtk::Image *image;
  
  image=new Gtk::Image(TmarkPix[num]);
  return image;
}

Gtk::Image *MineImage::CreateBomb(){
  Gtk::Image *image;

  image=new Gtk::Image(TbombPix);
  return image;
}
