#ifndef ABOUT_DIALOG_H_
#define ABOUT_DIALOG_H_

#include <gtkmm.h>
#include <iostream> 
#include "timer.h"

class AboutDialog : public Gtk::Dialog{
 private:
  int timeGrab;
  MineTimer *timer;
  Glib::RefPtr<Gdk::Pixbuf> aboutIcon;
  Glib::RefPtr<Gtk::TextBuffer> textBuffer;
  Glib::RefPtr<Gtk::TextTagTable> tagTable;
  Glib::RefPtr<Gtk::TextTag> titleStr;
  Glib::RefPtr<Gtk::TextTag> nameStr;
  Glib::RefPtr<Gtk::TextTag> createStr;
  Glib::RefPtr<Gtk::TextTag> yearStr;
  Glib::RefPtr<Gtk::TextMark> mark[20];
  Gtk::TextView *textView;
  Gtk::Button *okButton;
  //  Gtk::Label *label;
  Gtk::VBox *vbox;
 public:
  AboutDialog(MineTimer *timer0);
  ~AboutDialog();
 protected:
  void OkClicked();
  bool DeleteEvent(GdkEventAny *event);
};

#endif
