#include"loaddialog.h"
#include "xpm/mark.h"

LoadDialog::LoadDialog(MineTimer *timer0,int mNum0){
  Glib::ustring text;
  
  timeGrab=0;
  timer=timer0;

  timeGrab=timer->Stop();

  okButton=add_button("Ok",Gtk::RESPONSE_OK);
  okButton->grab_default();

  okButton->show();

  vbox=get_vbox();

  label = new Gtk::Label();
  if(mNum0==0){
    text="Load State";
    loadIcon=Gdk::Pixbuf::create_from_xpm_data(maru_xpm);
    set_icon(loadIcon);
  }
  else if(mNum0==1){
    text="Can't Copy";
    loadIcon=Gdk::Pixbuf::create_from_xpm_data(batu_xpm);
    set_icon(loadIcon);
  }
  else if(mNum0==2){
    text="Can't Change";
    loadIcon=Gdk::Pixbuf::create_from_xpm_data(batu_xpm);
    set_icon(loadIcon);
  }
  else if(mNum0==3){
    text="SAVE Broken";
    loadIcon=Gdk::Pixbuf::create_from_xpm_data(batu_xpm);
    set_icon(loadIcon);
  }
  
  label->set_label(text);
  
  vbox->pack_start(*label,Gtk::PACK_EXPAND_WIDGET,0);

    label->show();
    vbox->show();

  okButton->signal_clicked().connect
    (sigc::mem_fun(*this,&LoadDialog::OkClicked));
  signal_delete_event().connect
    (sigc::mem_fun(*this,&LoadDialog::SignalDelete));

  show();

  set_title("LOAD");

  set_position(Gtk::WIN_POS_CENTER);

  add_modal_grab();
  set_resizable(FALSE);
  set_keep_above(true);
}

LoadDialog::~LoadDialog(){
  delete okButton;
  delete label;
}

bool LoadDialog::SignalDelete(GdkEventAny *event){
  std::cout<<"delete...\n";
   remove_modal_grab();
   if(timeGrab==0){
     timer->Start();
   }
  delete this;
  return 1;
}
void LoadDialog::OkClicked(){
  remove_modal_grab();
  if(timeGrab==0){
    timer->Start();
  }
  delete this;
}
