#ifndef VBOX_H
#define VBOX_H

#include <gtkmm.h>
#include <gtkmm/menubar.h>
#include <iostream>
#include "window.h"
#include "table.h"
#include "status.h"
#include "menu.h"
#include "timer.h"
#include "scorefile.h"
#include "savefile.h"
#include "loaddialog.h"

class MineWindow;

class MineMenu;

class MainVBox {
private:
  MineWindow *window;
  Gtk::Table *vbox;
  Gtk::Button *button;
  MineStatus *status;
  MineTable *table;
  MineMenu *menu;
  MineTimer *timer;
  ScoreFile *scoreFile;
  SaveFile *saveFile;
  LoadDialog *loadDialog;
public:
  MainVBox(MineWindow *window,MineTimer *timer0);
  ~MainVBox();
  void Create();
 protected:
  void ButtonClicked();
};

#endif
