#ifndef MINE_WINDOW_H_
#define MINE_WINDOW_H_

#include "vbox.h"
#include "exit.h"
#include "timer.h"

class MainVBox;

class MineWindow : public Gtk::Window {
 private:
  Glib::RefPtr<Gdk::Pixbuf> mainIcon;
 public:
  MineTimer *timer;
  MainVBox *vbox;
  MineWindow();
  ~MineWindow();
  void Create();
 protected:
  bool DeleteEvent(GdkEventAny *event);
  bool WindowStateEvent(GdkEventWindowState *event);
};

#endif
